Overview
POST
/content/bookmarksbookmarksAdd or re-affirm a bookmark (idempotent on the caller + target)
Create a record in bookmarks.
Auth: bearerAuth — calls run as the authenticated user.
Request body
application/json · optional
- targetKindstring
- targetIdstring
- notifyoptionalboolean
Also subscribe to the target’s activity notifications (default false)
Example
{
"targetKind": "string",
"targetId": "string",
"notify": true
}Responses
201
The created (or re-affirmed) bookmark
- idstring
- customerIdstring
- ecosystemIdstring
- targetKindstring
- targetIdstring
- notifyboolean
- createdAtstring
- deletedAtoptionalstring?
Example
{
"id": "string",
"customerId": "string",
"ecosystemId": "string",
"targetKind": "string",
"targetId": "string",
"notify": true,
"createdAt": "string",
"deletedAt": "string"
}400
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X POST "https://api.agenticdeveloperhub.com/content/bookmarks" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"targetKind": "string",
"targetId": "string",
"notify": true
}'JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/content/bookmarks", {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: "{\n \"targetKind\": \"string\",\n \"targetId\": \"string\",\n \"notify\": true\n}",
});
const data = await res.json();